Bug 169697 - SMP kernel builds enable incompatible APM support
SMP kernel builds enable incompatible APM support
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-10-01 09:36 EDT by Steve Snyder
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 17:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2005-10-01 09:36:55 EDT
From Bugzilla Helper:
User-Agent: Opera/8.5 (X11; Linux i686; U; en)

Description of problem:
This is a request, not a bug report:

It is well known that Linux Advanced Power Management (APM) is incompatible with 
SMP support.  That's why the kernel disables APM support at boot time.  So why 
is RedHat/Fedora building SMP kernels with APM enabled?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot SMP kernel
2.Note logged message stating that APM is being disabled

Actual Results:  Logged messages at boot time:
kernel: apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
kernel: apm: disabled - APM is not SMP safe.

Expected Results:  Kernels should not be built with incompatible options.

Additional info:

In future SMP kernel builds, please do not waste memory by building the unusable 
APM support.  Thank you.
Comment 1 Dave Jones 2005-10-02 17:16:20 EDT
it's needed for power-off on smp systems without acpi.

Note You need to log in before you can comment on or make changes to this bug.